projects/sencrypt

changeset 17:b7309b030e8d

Port to AIX
author Guido Berhoerster <guido+sencrypt@berhoerster.name>
date Sat Jul 07 17:55:59 2018 +0200 (2018-07-07)
parents d9c4bdc004d2
children 07f525330bc7
files Makefile README
line diff
     1.1 --- a/Makefile	Sat Jul 07 14:57:57 2018 +0200
     1.2 +++ b/Makefile	Sat Jul 07 17:55:59 2018 +0200
     1.3 @@ -85,6 +85,8 @@
     1.4    else
     1.5      HAVE_ERR_H ?= 1
     1.6    endif
     1.7 +else ifeq ($(OS_NAME),AIX)
     1.8 +  HAVE_ERR_H ?=	0
     1.9  endif
    1.10  
    1.11  OBJS =		sencrypt.o
     2.1 --- a/README	Sat Jul 07 14:57:57 2018 +0200
     2.2 +++ b/README	Sat Jul 07 17:55:59 2018 +0200
     2.3 @@ -17,7 +17,7 @@
     2.4  
     2.5  sencrypt requires a POSIX:2004 compatible operating system, it has been tested
     2.6  to work on Linux distributions, FreeBSD, Solaris and Illumos-derived
     2.7 -distributions, UnixWare, and OpenServer.  The following tools and shared
     2.8 +distributions, UnixWare, OpenServer, and AIX.  The following tools and shared
     2.9  libraries are required to build sencrypt:
    2.10  
    2.11  - GNU make >= 3.81